<ngb-carousel *ngIf="carouselEl">
  <ng-container *ngFor="let element of carouselEl">
    <ng-template ngbSlide>
      <figure>
        <img src="{{element.imageUrl}}" alt="Random {{element.title}} slide" />
      </figure>
      <div class="carousel-caption">
        <h3>{{element.title}}</h3>
      </div>
    </ng-template>
  </ng-container>
</ngb-carousel>
